##################################################
# App
##################################################
# General
APP_NAME=Laravel
APP_ENV=local
APP_KEY=
APP_DEBUG=true
APP_URL=http://localhost

# Cache / Session / Queue
BROADCAST_DRIVER=log
CACHE_DRIVER=file
QUEUE_CONNECTION=database
SESSION_DRIVER=file
SESSION_LIFETIME=120

# Logs
LOG_CHANNEL=stack

##################################################
# Database
##################################################
DB_CONNECTION=pgsql
DB_HOST=postgres.internal
DB_PORT=5432
DB_DATABASE=tuency
DB_USERNAME=tuency
DB_PASSWORD=tuency


##################################################
# Mail
##################################################
MAIL_MAILER=smtp
MAIL_HOST=mail.internal
MAIL_PORT=25
MAIL_USERNAME=null
MAIL_PASSWORD=null
MAIL_ENCRYPTION=null
MAIL_FROM_ADDRESS=development@tuency
MAIL_FROM_NAME="${APP_NAME}"


##################################################
# Keycloak Auth/Guard (OIDC client auth)
##################################################
KEYCLOAK_REALM_PUBLIC_KEY=""
KEYCLOAK_LOAD_USER_FROM_DATABASE=true
KEYCLOAK_USER_PROVIDER_CREDENTIAL="keycloak_user_id"
KEYCLOAK_TOKEN_PRINCIPAL_ATTRIBUTE="sub"
KEYCLOAK_APPEND_DECODED_TOKEN=true
KEYCLOAK_ALLOWED_RESOURCES="tuency_client,teuncyone,tuencytwo,tuencythree"

##################################################
# Keycloak service account (App User MGMT)
##################################################
KEYCLOAK_ACCOUNT_MGMT_URL=http://keycloak.internal
KEYCLOAK_ACCOUNT_MGMT_REALM=tuency
KEYCLOAK_ACCOUNT_MGMT_CLIENT_ID=tuency_client
KEYCLOAK_ACCOUNT_MGMT_CLIENT_SECRET=NoeuGCLFUpUezxlp7VMvptyE3WL0ILgQ

##################################################
# Laravel Auditlog
##################################################
# Enables laravel audit log
AUDITING_ENABLED=true
# Defines how many audit records are kept per
# entity in the "audits" table.
AUDITING_THRESHOLD=0

##################################################
# Tuency App
##################################################
# Global admin notification mail address
ADMIN_NOTIFICATION_MAIL="tuency-admin@localhost"

# See config/tuency.php for details
INTELMQ_QUERY_TOKEN=

# Inlude local ripe data in lookup queries
INTELMQ_QUERY_INCLUDE_RIPE=false

# Defines when and how often the reminder
# workflow is triggered as cron schedule.
# (Default: every day at 7 AM)
REMINDER_EXECUTION_CRON="0 7 * * *"

# Day interval when contacts need to be updated.
# (Admins will be notified about expired contacts)
MAIL_CONTACT_EXPIRE_INTERVAL=1

# Day interval when expiry notifications are
# resent.
MAIL_CONTACT_NOTIFICATION_INTERVAL=3
